﻿namespace OverStore.Sql
{
    /// <summary>
    /// Converts <see cref="TableExpression"/> to well formed SQL command.
    /// </summary>
    public interface ISqlPrinter
    {
        /// <summary>
        /// Converts specified <see cref="TableExpression"/> to well-formed SQL command.
        /// </summary>
        string ToSqlString(TableExpression expression);
    }
}
