﻿namespace OverStore.Sql.TableSchema
{
    using System;

    /// <summary>
    /// Primary key for <see cref="Table"/> database table.
    /// </summary>
    /// <typeparam name="T">Type of key's result.</typeparam>
    public class Key<T> : KeyBase
    {
        /// <summary>
        /// Gets or sets the CLR type of result stored in column.
        /// </summary>
        public override Type ClrType
        {
            get
            {
                return typeof(T);
            }
        }
    }
}
