﻿namespace OverStore.Runtime.ObjectRepository.Accessors
{
    /// <summary>
    /// Provide generic way to access object data.
    /// </summary>
    public interface IAccessor
    {
        /// <summary>
        /// Get result from specified instance.
        /// </summary>
        object GetValue(object instance);

        /// <summary>
        /// Set result to specified instance.
        /// </summary>
        void SetValue(object instance, object value);
    }
}