﻿namespace OverStore.Sql
{
    /// <summary>
    /// Expression that references column in specified table.
    /// </summary>
    public class Column : ScalarExpression
    {
        /// <summary>
        /// Gets or sets the name of table where columns is located.
        /// </summary>
        public string Table { get; set; }

        /// <summary>
        /// Gets or sets the name of column.
        /// </summary>
        public string Name { get; set; }
    }
}
