﻿namespace OverStore.Sql.TableSchema
{
    /// <summary>
    /// Define column types.
    /// </summary>
    public enum ColumnType
    {
        /// <summary>
        /// Normal column
        /// </summary>
        Regular,

        /// <summary>
        /// Column that is part of primary key of table.
        /// </summary>
        PrimaryKey,

        /// <summary>
        /// Colum contains row version.
        /// </summary>
        RowVersion
    }
}
