﻿namespace OverStore.Sql.TableSchema
{
    /// <summary>
    /// Column contains row version.
    /// </summary>
    public class RowVersionColumn<T> : Column<T>
    {
        /// <summary>
        /// When overriden in derived classes, returns actual column role in table.
        /// </summary>
        public override ColumnType ColumnType
        {
            get
            {
                return ColumnType.RowVersion;
            }
        }
    }
}
